mysql:
    image: lprunella/mongodb-03start

    # Port mapping: allow only access on local docker host
    ports:
      - "3306"
      - "8883"
      - "80"

    # Use storage on host file system
    volumes:
      - mysqldata:/var/lib/mysql
      - mysqlconf:/etc/mysql
mongodb:
    image: mongo:2.6

    # Port mapping: allow only access on local docker host
    ports:
      - "27017"
    expose:
      - "27017"

    # Use storage on host file system
    volumes:
      - mongodata:/data/db
    command: --smallfiles

    # restart: always

orion:
    image: lprunella/orionrush-lino
    links:
        - mongodb
    ports:
      - "1026"
    expose:
        - "1026"
    #command: -dbhost mongodb -logDir /var/log/contextBroker

iotacpp:
    image: lprunella/iotagent-lino
    links:
        - mongodb
        - orion
    ports:
        - "8080"
        - "8081"
        - "1883"
    expose:
        - "8080"
        - "8081"
        - "1883"
cygnus:
    image: fiware/cygnus-ngsi

    # Port mapping: allow only access on local docker host
    ports:
        - "5050"
    expose:
        - "5050"

    # Use storage on host file system
    #volumes:
    #    - cygnusconf:/opt/apache-flume/conf/agent.conf
    command: -e LOG_LEVEL='DEBUG'
